## NMDeviceModem NMDeviceModem |

## Functions

NMDeviceModemCapabilities | nm_device_modem_get_modem_capabilities ()
NMDeviceModemCapabilities | nm_device_modem_get_current_capabilities ()
const char * | nm_device_modem_get_device_id ()
const char * | nm_device_modem_get_operator_code ()
const char * | nm_device_modem_get_apn ()

## Types and Values

#define | NM_DEVICE_MODEM_MODEM_CAPABILITIES
#define | NM_DEVICE_MODEM_CURRENT_CAPABILITIES
#define | NM_DEVICE_MODEM_DEVICE_ID
#define | NM_DEVICE_MODEM_OPERATOR_CODE
#define | NM_DEVICE_MODEM_APN

## Description

## Functions

### nm_device_modem_get_modem_capabilities ()

    NMDeviceModemCapabilities
    nm_device_modem_get_modem_capabilities
                                   (NMDeviceModem *self);

### nm_device_modem_get_current_capabilities ()

    NMDeviceModemCapabilities
    nm_device_modem_get_current_capabilities
                                   (NMDeviceModem *self);

### nm_device_modem_get_device_id ()

    const char *
    nm_device_modem_get_device_id (NMDeviceModem *self);

### nm_device_modem_get_operator_code ()

    const char *
    nm_device_modem_get_operator_code (NMDeviceModem *self);

### nm_device_modem_get_apn ()

    const char *
    nm_device_modem_get_apn (NMDeviceModem *self);

## Types and Values

### NM_DEVICE_MODEM_MODEM_CAPABILITIES

    #define NM_DEVICE_MODEM_MODEM_CAPABILITIES   "modem-capabilities"

### NM_DEVICE_MODEM_CURRENT_CAPABILITIES

    #define NM_DEVICE_MODEM_CURRENT_CAPABILITIES "current-capabilities"

### NM_DEVICE_MODEM_DEVICE_ID

    #define NM_DEVICE_MODEM_DEVICE_ID            "device-id"

### NM_DEVICE_MODEM_OPERATOR_CODE

    #define NM_DEVICE_MODEM_OPERATOR_CODE        "operator-code"

### NM_DEVICE_MODEM_APN

    #define NM_DEVICE_MODEM_APN                  "apn"